SystemOrganization addCategory: #ConfigurationOfExternalWebBrowser2!

Object subclass: #ConfigurationOfExternalWebBrowser2
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfExternalWebBrowser2'!

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'development support' stamp: 'SeanDeNigris 2/4/2015 10:47'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'private' stamp: 'SeanDeNigris 2/4/2015 10:47'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'private' stamp: 'SeanDeNigris 2/4/2015 10:47'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'private' stamp: 'SeanDeNigris 2/4/2015 10:47'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'metacello tool support' stamp: 'SeanDeNigris 2/4/2015 10:47'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'loading' stamp: 'SeanDeNigris 2/4/2015 10:47'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'loading' stamp: 'SeanDeNigris 2/4/2015 10:47'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'loading' stamp: 'SeanDeNigris 2/4/2015 10:47'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'accessing' stamp: 'SeanDeNigris 2/4/2015 10:47'!
project

	^self new project! !

!ConfigurationOfExternalWebBrowser2 class methodsFor: 'development support' stamp: 'SeanDeNigris 2/4/2015 10:47'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfExternalWebBrowser2 methodsFor: 'baselines' stamp: 'SeanDeNigris 7/30/2015 10:57'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SeanDeNigris/ExternalWebBrowser2/main/'.
		spec package: 'ExternalWebBrowser2'. ].
! !

!ConfigurationOfExternalWebBrowser2 methodsFor: 'baselines' stamp: 'SeanDeNigris 8/18/2015 10:58'!
baseline02: spec
	<version: '0.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SeanDeNigris/ExternalWebBrowser2/main/'.
		spec project: 'Magritte3' with: [
				spec
					className: #ConfigurationOfMagritte3;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Magritte/Magritte3/main/' ].
		spec 
			package: 'ExternalWebBrowser2';
			package: 'ExternalWebBrowser2Magritte' with: [
				spec requires: #('ExternalWebBrowser2' 'Magritte3' ). ]. ].
! !

!ConfigurationOfExternalWebBrowser2 methodsFor: 'accessing' stamp: 'SeanDeNigris 2/4/2015 10:47'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfExternalWebBrowser2 methodsFor: 'symbolic versions' stamp: 'SeanDeNigris 8/18/2015 10:57'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.2-baseline'
! !

!ConfigurationOfExternalWebBrowser2 methodsFor: 'accessing' stamp: 'SeanDeNigris 2/4/2015 10:47'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfExternalWebBrowser2 methodsFor: 'symbolic versions' stamp: 'SeanDeNigris 7/30/2015 10:53'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfExternalWebBrowser2 methodsFor: 'versions' stamp: 'SeanDeNigris 7/30/2015 10:56'!
version10: spec
	<version: '1.0' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'SeanDeNigris'.
		spec timestamp: '7/30/2015 10:53'.
		spec package: 'ExternalWebBrowser2' with: 'ExternalWebBrowser2-SeanDeNigris.4'. ].
! !
